--[[#######################################################################
#  File	 :  /units/XSSE0001/XSSE0001_script.lua
#  Author(s):  GPG Devs
#  Summary  :  Seraphim Frigate Script: XSS0103 / XSO1104
#  -----------------------------
#  Modif.by :  AsdrubaelVect
#  Rev.Date :  5 septembre 2009
#  -----------------------------
#  Revis.by :  Manimal
#  Rev.Date :  20 novembre 2009
#  -----------------------------
#  Copyright © 2007 Gas Powered Games, Inc.  All rights reserved.
#######################################################################]]--

#######################################################################
local Game = import('/lua/game.lua')

#VARIABLE ''GLOBALE'' (par Manimal)
local MyModPath = Game.MyModPath
#######################################################################


local SAirUnit = import('/lua/seraphimunits.lua').SAirUnit
local SWeapon = import('/lua/seraphimweapons.lua')
local SAAShleoCannonWeapon = import('/lua/seraphimweapons.lua').SAAShleoCannonWeapon
local SDFUltraChromaticBeamGenerator = import( MyModPath .. '/hook/lua/seraphweapons.lua' ).SDFUltraChromaticBeamGenerator
local EffectTemplate = import('/lua/EffectTemplates.lua')
local EffectUtil = import('/lua/EffectUtilities.lua')
local AIUtils = import('/lua/ai/aiutilities.lua')

XSSE0001 = Class(SAirUnit) {
    Weapons = {
        MainGun = Class(SDFUltraChromaticBeamGenerator) {},
        AAGun = Class(SAAShleoCannonWeapon) {},
    },
}

TypeClass = XSSE0001
